## python-os-xenapi 0.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-os-xenapi (0.1.1-0ubuntu3~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Feb 2017 19:55:14 +0000

python-os-xenapi (0.1.1-0ubuntu3) zesty; urgency=medium

  * debian/patches/skip-tests.patch: Skip tests since /dev/log
    does not exist. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2017 12:45:11 -0500

python-os-xenapi (0.1.1-0ubuntu2) zesty; urgency=medium

  * debian/rules: Enable unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2017 11:22:39 -0500

python-os-xenapi (0.1.1-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 21:11:16 -0500

=== debian/control ===
Source: python-os-xenapi
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr,
               python-setuptools,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-hacking (>= 0.11.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-eventlet (>= 0.18.2),
                     python3-hacking (>= 0.11.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx (>= 1.2.1),
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0)
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python-os-xenapi
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-eventlet (>= 0.18.2),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.utils (>= 3.18.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-os-xenapi-doc
Description: Python library for Nova Xenapi driver (Python 2)
 XenAPI library for OpenStack projects
 .
 This package installs the library for Python 2.

Package: python3-os-xenapi
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-eventlet (>= 0.18.2),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.utils (>= 3.18.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-os-xenapi-doc
Description: Python library for Nova Xenapi driver (Python 3)
 XenAPI library for OpenStack projects
 .
 This package installs the library for Python 3.

Package: python-os-xenapi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for Nova Xenapi driver (common documentation)
 XenAPI library for OpenStack projects
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

UPSTREAM_GIT := https://github.com/openstack/python-os-xenapi.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:

	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-xenapi; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-xenapi; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. OS_TEST_PATH=./os_xenapi/tests ostestr

endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/python-os-xenapi/usr/share/doc/python-os-xenapi-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/python-os-xenapi/ python-os-xenapi-(\d.*)\.tar\.gz

## python-os-xenapi 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0
Babel>=2.3.4 # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-os-xenapi (0.2.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Jun 2017 09:44:55 +0000

python-os-xenapi (0.2.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * debian/rules:  Run the testsuite.

  [ James Page ]
  * d/watch: Correct upstream name.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release.
  * d/rules: Rework unit test execution for upstream py3 blacklist.
  * d/rules: Install Py 3 module in python3 package.
  * d/rules: Install docs in -doc package.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Jun 2017 10:19:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr,
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python3-all,
-               python3-pbr,
+               python3-pbr (>= 2.0.0),
                python3-setuptools
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 4.0),
@@ -18,12 +18,12 @@
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
+                     python-sphinx (>= 1.5.1),
                      python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
@@ -34,12 +34,12 @@
                      python3-os-testr (>= 0.8.0),
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 3.11.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.log (>= 3.22.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslosphinx (>= 4.7.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
-                     python3-sphinx (>= 1.2.1),
+                     python3-sphinx (>= 1.5.1),
                      python3-testrepository (>= 0.0.18),
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 1.4.0)
@@ -54,8 +54,8 @@
          python-eventlet (>= 0.18.2),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.utils (>= 3.20.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends}
@@ -71,8 +71,8 @@
          python3-eventlet (>= 0.18.2),
          python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 3.11.0),
-         python3-oslo.utils (>= 3.18.0),
+         python3-oslo.log (>= 3.22.0),
+         python3-oslo.utils (>= 3.20.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends}

## python-os-xenapi 0.3.1

=== Makefile ===

THIS_DIR=$(shell pwd)
RPMBUILD_DIR=${THIS_DIR}/os_xenapi/dom0/rpmbuild
PACKAGE=xenapi-plugins
VERSION_FILE=${THIS_DIR}/os_xenapi/dom0/etc/xapi.d/plugins/dom0_plugin_version.py
VERSION=$(shell awk '/PLUGIN_VERSION = / {gsub(/"/, ""); print $$3}' ${VERSION_FILE})

RPM_NAME=${PACKAGE}-${VERSION}-1.noarch.rpm

rpm: ${THIS_DIR}/output/${RPM_NAME}

${THIS_DIR}/output/${RPM_NAME}:
	mkdir -p ${THIS_DIR}/output
	mkdir -p ${RPMBUILD_DIR}
	@for dir in BUILD BUILDROOT SRPMS RPMS SPECS SOURCES; do \
	    rm -rf ${RPMBUILD_DIR}/$$dir; \
	    mkdir -p ${RPMBUILD_DIR}/$$dir; \
	done
	cp ${THIS_DIR}/os_xenapi/dom0/${PACKAGE}.spec ${RPMBUILD_DIR}/SPECS
	rm -rf /tmp/${PACKAGE}
	mkdir /tmp/${PACKAGE}
	cp -r ${THIS_DIR}/os_xenapi/dom0/etc/xapi.d /tmp/${PACKAGE}
	tar czf ${RPMBUILD_DIR}/SOURCES/${PACKAGE}-${VERSION}.tar.gz -C /tmp ${PACKAGE}
	rpmbuild -ba --nodeps --define "_topdir ${RPMBUILD_DIR}" --define "version ${VERSION}" ${RPMBUILD_DIR}/SPECS/${PACKAGE}.spec
	mv ${RPMBUILD_DIR}/RPMS/noarch/* ${THIS_DIR}/output


.PHONY: clean

clean:
	rm -rf ${RPMBUILD_DIR}

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-os-xenapi (0.3.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 14:09:51 +0000

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
                      python-eventlet (>= 0.18.2),
                      python-hacking (>= 0.11.0),
                      python-os-testr (>= 0.8.0),
-                     python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.22.0),
-                     python-oslo.utils (>= 3.20.0),
+                     python-oslo.concurrency (>= 3.20.0),
+                     python-oslo.i18n (>= 3.15.3),
+                     python-oslo.log (>= 3.30.0),
+                     python-oslo.utils (>= 3.28.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
@@ -32,10 +32,10 @@
                      python3-eventlet (>= 0.18.2),
                      python3-hacking (>= 0.11.0),
                      python3-os-testr (>= 0.8.0),
-                     python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 3.22.0),
-                     python3-oslo.utils (>= 3.20.0),
+                     python3-oslo.concurrency (>= 3.20.0),
+                     python3-oslo.i18n (>= 3.15.3),
+                     python3-oslo.log (>= 3.30.0),
+                     python3-oslo.utils (>= 3.28.0),
                      python3-oslosphinx (>= 4.7.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
@@ -52,10 +52,10 @@
 Architecture: all
 Depends: python-babel (>= 2.3.4),
          python-eventlet (>= 0.18.2),
-         python-oslo.concurrency (>= 3.8.0),
-         python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.22.0),
-         python-oslo.utils (>= 3.20.0),
+         python-oslo.concurrency (>= 3.20.0),
+         python-oslo.i18n (>= 3.15.3),
+         python-oslo.log (>= 3.30.0),
+         python-oslo.utils (>= 3.28.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends}
@@ -69,10 +69,10 @@
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
          python3-eventlet (>= 0.18.2),
-         python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 3.22.0),
-         python3-oslo.utils (>= 3.20.0),
+         python3-oslo.concurrency (>= 3.20.0),
+         python3-oslo.i18n (>= 3.15.3),
+         python3-oslo.log (>= 3.30.0),
+         python3-oslo.utils (>= 3.28.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+export PYBUILD_DISABLE=test
+
 
 UPSTREAM_GIT := https://github.com/openstack/python-os-xenapi.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
@@ -15,20 +18,26 @@
 	done
 	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-os-xenapi; \
+			--root $(CURDIR)/debian/python3-os-xenapi; \
 	done
 
+override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	PYTHONPATH=. OS_TEST_PATH=./os_xenapi/tests ostestr
-
+	set -e ; for pyvers in $(PYTHONS); do \
+		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
+		PYTHON=python$$pyvers PYTHON_PATH=$(CURDIR) python$$PYMAJOR-ostestr; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
+		PYTHON=python$$pyvers PYTHON_PATH=$(CURDIR) python$$PYMAJOR-ostestr --blacklist-file=exclusion_py3.txt; \
+	done
 endif
 
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	python setup.py build_sphinx
-	cp -rf doc/build/html $(CURDIR)/debian/python-os-xenapi/usr/share/doc/python-os-xenapi-doc
+	cp -rf doc/build/html $(CURDIR)/debian/python-os-xenapi-doc/usr/share/doc/python-os-xenapi-doc
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/os-xenapi/ os-xenapi-(\d.*)\.tar\.gz

## python-os-xenapi 0.3.3

=== requirements.txt ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 
 eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
-oslo.concurrency>=3.20.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
-oslo.utils>=3.28.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-six>=1.9.0 # MIT
+paramiko>=2.0.0 # LGPLv2.1+
+six>=1.10.0 # MIT

=== debian/changelog ===
python-os-xenapi (0.3.3-3) unstable; urgency=medium

  * override_dh_python3: dh_python3 --shebang=/usr/bin/python3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Dec 2018 16:34:34 +0100

python-os-xenapi (0.3.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:53:41 +0200

python-os-xenapi (0.3.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed py3-fixes.patch applied upstream.
  * Fixed (build-)depends for this release.
  * Using python3 to build the sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 23:01:25 +0200

python-os-xenapi (0.3.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_glance.GlanceTestCase.test_download_ok_verify_failed().

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:34 +0000

python-os-xenapi (0.3.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebase the py3 patches into a single one.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Feb 2018 07:39:02 +0000

python-os-xenapi (0.2.0-2) unstable; urgency=medium

  [ Michal Arbet ]
  * Non-maintainer upload.
  * Fix fix-py3-compat.patch patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2018 23:41:01 +0100

python-os-xenapi (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #877981)

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 11:30:15 +0200

=== debian/control ===
Source: python-os-xenapi
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-eventlet,
 python-hacking,
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paramiko,
 python-six,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-eventlet,
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko,
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit (>= 1.0.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-xenapi
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-xenapi.git
Homepage: http://www.citrix.com

Package: python-os-xenapi
Architecture: all
Depends:
 python-babel,
 python-eventlet,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-paramiko,
 python-pbr (>= 2.0.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-os-xenapi-doc,
Description: XenAPI library for OpenStack projects - Python 2.7
 This library provides the support functions needed to connect to and manage a
 XenAPI-based hypervisor, such as Citrix's XenServer.
 .
 This package contains the Python 2.7 module.

Package: python-os-xenapi-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: XenAPI library for OpenStack projects - doc
 This library provides the support functions needed to connect to and manage a
 XenAPI-based hypervisor, such as Citrix's XenServer.
 .
 This package contains the documentation.

Package: python3-os-xenapi
Architecture: all
Depends:
 python3-babel,
 python3-eventlet,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paramiko,
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-xenapi-doc,
Description: XenAPI library for OpenStack projects - Python 3.x
 This library provides the support functions needed to connect to and manage a
 XenAPI-based hypervisor, such as Citrix's XenServer.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-xenapi.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'os_xenapi\.tests\.((?!.*plugins\.test_agent\.AgentTestCase\.test_inject_file_with_old_agent.*|.*plugins\.test_xenhost\.NetworkTestCase\.test_iptables_config.*|.*plugins\.test_glance\.GlanceTestCase\.test_download_ok_verify_failed.*))'
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-xenapi-doc/usr/share/doc/python-os-xenapi-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-xenapi/os-xenapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-xenapi 0.3.4

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-os-xenapi (0.3.4-4) unstable; urgency=medium

  * Re-add python3-mock as build-depends (Closes: #973186).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 09:59:00 +0100

python-os-xenapi (0.3.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Override_dh_auto_build to avoid FTBFS (Closes: #950048).

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jan 2020 16:21:12 +0100

python-os-xenapi (0.3.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:09:13 +0200

python-os-xenapi (0.3.4-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 20:52:08 +0100

=== debian/control ===
Source: python-os-xenapi
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-paramiko,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-xenapi
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-xenapi.git
Homepage: http://www.citrix.com

Package: python-os-xenapi-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: XenAPI library for OpenStack projects - doc
 This library provides the support functions needed to connect to and manage a
 XenAPI-based hypervisor, such as Citrix's XenServer.
 .
 This package contains the documentation.

Package: python3-os-xenapi
Architecture: all
Depends:
 python3-babel,
 python3-eventlet,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-paramiko,
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-xenapi-doc,
Description: XenAPI library for OpenStack projects - Python 3.x
 This library provides the support functions needed to connect to and manage a
 XenAPI-based hypervisor, such as Citrix's XenServer.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-xenapi.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_clean:
	rm -rf build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'os_xenapi\.tests\.((?!.*plugins\.test_agent\.AgentTestCase\.test_inject_file_with_old_agent.*|.*plugins\.test_xenhost\.NetworkTestCase\.test_iptables_config.*|.*plugins\.test_glance\.GlanceTestCase\.test_download_ok_verify_failed.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-xenapi-doc/usr/share/doc/python-os-xenapi-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
